Zu Hauptinhalt wechseln

Dieser Browser wird nicht mehr unterstützt.

Führen Sie ein Upgrade auf Microsoft Edge durch, um die neuesten Features, Sicherheitsupdates und den technischen Support zu nutzen.

Microsoft Edge herunterladen Weitere Informationen zu Internet Explorer und Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Pfadparameter

agent_name string Erforderlich

The name of the agent.

session_id string Erforderlich

The session identifier.

Abfrageparameter

api-version string Erforderlich

The API version to use for this operation.

Antworten

The request has succeeded.

Text

Content-Type: application/json
agent_session_id string Erforderlich

The session identifier.

version_indicator version_ref Erforderlich

Version indicator determining which agent version backs the session.

Eins der folgenden:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum Erforderlich

Discriminator value for version_ref.

version_ref
agent_version string Erforderlich

The agent version identifier returned by the agent version APIs.

status string | enum Erforderlich

The status of an agent session.

Eines der folgenden Elemente:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer Erforderlich

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer Erforderlich

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer Erforderlich

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Anfordern

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Antwort

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
de-de
Ihre Datenschutzoptionen
  • KI-Haftungsausschluss
  • Frühere Versionen
  • Blog
  • Mitwirken
  • Datenschutz
  • Consumer Health Privacy
  • Nutzungsbedingungen
  • Impressum
  • Marken
  • © Microsoft 2026